View Issue Details

IDProjectCategoryView StatusLast Update
0001706Ham Radio DeluxeBugpublic2017-05-21 23:54
ReporterWA9PIE 
Assigned ToW4PC 
PrioritynormalSeveritycrashReproducibilityrandom
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.638 
Summary0001706: Clicking QRZ button in ALE when call has slashes sometimes causes Logbook to crash
DescriptionClicking QRZ button in ALE when call has slashes sometimes causes Logbook to crash (osTicket #649272)

I worked Z62FB and the station information populated from QRZ.com . When I pressed the "Add" button I received the attached error and the logbook closed down. I tried this a number of times with the same result.

To work around this I logged him as IZ62FB and then corrected the entry leaving the country field blank.

I also had a similar problem logging a call F/G0???/P today on 40m. Unfortunately I lost the ??? part of the call as the log book crashed and didn't save this callsign. I hope he sends an eQSL!!!
Steps To ReproduceI have added Z6/EI3CTB/P to the callsign window an clicked the QRZ button. The name correctly populates an the country is blank.(correctly). However if I then edit the callsign to EI3CTB/P by erasing "Z6/" an click the QRZ button the logbook crashes and needs to be restarted.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleALE Window
Testing

Relationships

Activities

user36

2014-08-26 16:21

  ~0000533

Last edited: 2014-08-26 16:22

View 2 revisions

Verified this happens when callsign lookup is trying to determine the country by searching through callsign lookup.

Closing the ALE window before the "Query"/Select which country to use dialog opens results in an Improper Argument error.

Verified with Rick. Recommend to purge the message queue before exiting the ALE window.

WA9PIE

2017-03-05 16:11

administrator   ~0003082

Unable to replicate. Must have been fixed.

Issue History

Date Modified Username Field Change
2014-08-24 17:54 WA9PIE New Issue
2014-08-26 16:21 user36 Note Added: 0000533
2014-08-26 16:22 user36 Note Edited: 0000533 View Revisions
2014-08-26 16:24 user36 Project @5@ => 3 - Current Dev List
2014-10-08 22:05 WA9PIE Project 3 - Current Dev List => 2 - Next Dev List (Holding Area)
2015-09-17 13:40 WA9PIE Category Logbook => Bug
2015-09-22 16:38 WA9PIE Fix Build TBD => (select)
2015-09-22 16:38 WA9PIE Report Build 6.2.6.284 => (select)
2015-09-22 16:38 WA9PIE Proposed Release => TBD
2015-09-22 16:38 WA9PIE Summary Bug: Clicking QRZ button in ALE when call has slashes sometimes causes Logbook to crash => Clicking QRZ button in ALE when call has slashes sometimes causes Logbook to crash
2016-08-28 14:31 W4PC Reported in Build (ie. 377) (select) => 600
2016-08-28 14:31 W4PC Fixed in Release TBD => 6.3
2016-08-28 14:31 W4PC Reported in Build (ie. 377) 600 => 111
2016-08-28 14:32 W4PC Reported in Build (ie. 377) 111 => 377
2016-08-28 14:32 W4PC Fixed in Build (ie. 377) (select) => 500
2016-08-28 14:32 W4PC Status new => resolved
2016-08-28 14:32 W4PC Resolution open => fixed
2016-08-28 14:32 W4PC Assigned To => W4PC
2017-03-05 16:11 WA9PIE Status resolved => closed
2017-03-05 16:11 WA9PIE Fixed in Build (ie. 377) 500 => 633
2017-03-05 16:11 WA9PIE Note Added: 0003082
2017-03-05 22:16 WA9PIE Project 2 - Next Dev List (Holding Area) => Ham Radio Deluxe
2017-05-21 23:54 WA9PIE Fixed in Version => 6.4.0.638
2017-05-21 23:54 WA9PIE Fixed in Build (ie. 377) 633 =>